package com.air.applets.controller;

import com.air.land.entity.LandToListAttachment;
import com.air.land.service.LandToListAttachmentService;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * 小程序拟挂牌地块资料文件信息管理
 *
 * @author peihao
 * @date 2021-05-18 09:39:41
 */
@RestController("applets_landToListAttachmentController")
@AllArgsConstructor
@RequestMapping("/applets/landToListAttachment")
@Api(value = "landToListAttachment", tags = "小程序拟挂牌地块资料文件信息管理")
public class LandToListAttachmentController {

    private final LandToListAttachmentService attachmentService;

    /**
     * 通过序号和文件类型查询文件列表
     *
     * @param proposedseriaId 拟公告序号
     * @param fileType        文件类型
     * @return
     */
    @ApiOperation(value = "通过序号和文件类型查询文件列表", notes = "通过序号和文件类型查询文件列表")
    @GetMapping
    public R<List<LandToListAttachment>> getListToListAttachment(@RequestParam String proposedseriaId, String fileType) {
        return attachmentService.getListAttachment(proposedseriaId, fileType);
    }

}
