package com.air.applets.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 
 * 用户看地收藏
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Data
@TableName("land_user_keep")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class LandUserKeep extends Model<LandUserKeep> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;
    @ApiModelProperty(value="用户id")
    private Integer userId;
    @NotBlank(message = "地块id不能为空")
    @ApiModelProperty(value="地块id")
    private String landId;
    @NotNull(message = "地块类型不能为空")
    @ApiModelProperty(value="地块类型（0：待挂牌，1：已挂牌）")
    private Integer landType;
    @ApiModelProperty(value="状态")
    private String statusCd;
    @ApiModelProperty(value="状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value="创建人")
    private String createUserId;
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value="修改人")
    private String updateUserId;
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value="备注")
    private String remark;
}
