package com.air.applets.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 看地计划点位
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Data
@TableName("plan_spot")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class PlanSpot extends Model<PlanSpot> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="主键")
    private Integer id;
    @ApiModelProperty(value="计划id")
    private Integer planId;
    @ApiModelProperty(value="地块id")
    private String landListedId;
    @ApiModelProperty(value="计划点位名称")
    private String spotName;
    @ApiModelProperty(value="点位顺序")
    private String spotSort;
    @ApiModelProperty(value="经纬度")
    private String spotLonLat;
    @ApiModelProperty(value="状态")
    private String statusCd;
    @ApiModelProperty(value="状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value="创建人")
    private String createUserId;
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value="修改人")
    private String updateUserId;
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value="备注")
    private String remark;
}
