package com.air.applets.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 地块视图（包含待挂牌和已挂牌）
 *
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Data
@TableName("view_land")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "地块视图（包含待挂牌和已挂牌）")
public class ViewLand extends Model<ViewLand> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "地块id")
    private String landListedId;
    @ApiModelProperty(value = "特征名字")
    private String characteristicName;
    @ApiModelProperty(value = "地块编号")
    private String landCode;
    @ApiModelProperty(value = "土地出让面积(㎡)")
    private BigDecimal landTransferSquare;
    @ApiModelProperty(value = "出让价款起始价（万元）")
    private BigDecimal transferPrice;
    @ApiModelProperty(value = "起始楼面价(元/㎡)")
    private BigDecimal startingFloorPrice;
    @ApiModelProperty(value = "土地类型（0:待挂牌，1：已挂牌）")
    private Integer landType;
    @ApiModelProperty(value = "城市")
    private String city;
    @ApiModelProperty(value = "行政区")
    private String canton;
    @ApiModelProperty(value = "交易状态")
    private String transactionStatus;

    @TableField(exist = false)
    @ApiModelProperty(value = "用户收藏id")
    private Integer landUserkeepId;

    @ApiModelProperty(value = "拍卖日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date auctionDate;
}
