package com.air.applets.mapper;

import com.air.applets.dto.MeasureTrendDto;
import com.air.applets.entity.MeasureData;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;

/**
 * 测算数据
 *
 * @author peihao
 * @date 2021/5/18
 **/
public interface MeasureDataMapper extends BaseMapper<MeasureData> {


    /**
     * 统计所有误差之和
     * @author peihao
     * @param userId 用户id
     * @date 2021/6/7
     * @return
     **/
    BigDecimal getErrorAbsoluteValueSum(String userId);

    /**
     * 测算趋势统计接口
     * @author peihao
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @param userId 用户id
     * @date 2021/endTime/7
     * @return
     **/
    List<MeasureTrendDto> getTrend(@Param("startTime") String startTime, @Param("endTime") String endTime,@Param("userId") String userId);

    /**
     * 查询测算列表
     * @author peihao
     * @param page
     * @param measureData
     * @date 2021/7/21
     * @return
     **/
    List<MeasureData> getMeasureDataPage(Page page, @Param("param") MeasureData measureData);
}
