package com.air.applets.service;

import com.air.applets.dto.MeasureStatisticsDto;
import com.air.applets.dto.MeasureTrendDto;
import com.air.applets.entity.MeasureData;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 测算数据
 *
 * @author peihao
 * @date 2021-05-18 09:40:33
 */
public interface MeasureDataService extends IService<MeasureData> {


    /**
     * 查询当前用户测算结果统计
     * @author peihao
     * @date 2021/6/7
     * @return
     **/
    MeasureStatisticsDto statistics();

    /**
     * 查询当前用户测算趋势统计
     * @author peihao
     * @date 2021/6/7
     * @return
     **/
    List<MeasureTrendDto> trend();

    /**
     * 测试列表
     * @author peihao
     * @param measureData 查询数据
     * @date 2021/7/21
     * @return 
     **/
    Page getMeasureDataPage(Page page,MeasureData measureData);

}
