package com.air.applets.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import com.air.applets.entity.LandUserKeep;
import com.air.applets.entity.ViewLand;
import com.air.applets.mapper.LandUserKeepMapper;
import com.air.applets.service.LandUserKeepService;
import com.air.applets.vo.LandUserKeepVo;
import com.air.land.entity.LandListed;
import com.air.land.entity.LandToList;
import com.air.land.mapper.LandListedMapper;
import com.air.land.mapper.LandToListMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cinderella.framework.common.security.util.SecurityUtils;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.swing.text.html.Option;
import java.util.List;
import java.util.Optional;

/**
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Service
@AllArgsConstructor
public class LandUserKeepServiceImpl extends ServiceImpl<LandUserKeepMapper, LandUserKeep> implements LandUserKeepService {

    @Autowired
    private LandListedMapper landListedMapper;

    @Autowired
    private LandToListMapper landToListMapper;


    @Override
    public IPage<ViewLand> getLandUserKeepPage(Page page, LandUserKeepVo landUserKeepVo) {
        landUserKeepVo.setUserId(SecurityUtils.getUser().getId());
        List<ViewLand> landUserKeepPage = this.baseMapper.getLandUserKeepPage(page, landUserKeepVo);
        System.out.println("返回的数据数量"+landUserKeepPage.size());
        return page.setRecords(landUserKeepPage);
    }

    @Override
    public Optional<Integer> verifyCollect(String landId, Integer landType) {
        List<LandUserKeep> list = this.list(Wrappers.<LandUserKeep>query().lambda()
                .eq(LandUserKeep::getLandId,landId)
                .eq(LandUserKeep::getUserId, SecurityUtils.getUser().getId())
                .eq(LandUserKeep::getLandType, landType));

        return CollectionUtil.isNotEmpty(list) ? Optional.of(list.get(0).getId()) : Optional.empty();
    }

    /**
     * 查询当前地区是否到达20条
     * @param landId
     * @param landType
     * @param userId
     * @return
     */
    @Override
    public Optional<Integer> verifyCollectNumber(String landId, Integer landType,Integer userId) {
        //查询当前添加的地块 城市
        //待挂牌
        String city = null;
        if(landType == 0){
            LandToList landToList = landToListMapper.selectOne(Wrappers.<LandToList>query().lambda().eq(LandToList::getProposedseriaId, landId));
            city = landToList.getCity();
        } else if(landType == 1){
            LandListed landListed = landListedMapper.selectOne(Wrappers.<LandListed>query().lambda().eq(LandListed::getLandListedId, landId));
            city = landListed.getCity();
        }
        List<LandUserKeep> list = this.list(Wrappers.<LandUserKeep>query().lambda()
                .eq(LandUserKeep::getUserId, SecurityUtils.getUser().getId()));
        int i = 0;
        for (LandUserKeep landUserKeep : list) {
            if(landUserKeep.getLandType() == 0){
                LandToList landToList = landToListMapper.selectOne(Wrappers.<LandToList>query().lambda().eq(LandToList::getProposedseriaId, landUserKeep.getLandId()));
                if(ObjectUtil.isNotNull(landToList) && StringUtils.isNotBlank(landToList.getCity()) ){
                    System.out.println(landToList.getCity());
                    if( landToList.getCity().equals(city)){
                        i += 1;
                    }
                }
            }else if(landUserKeep.getLandType() == 1){
                LandListed landListed = landListedMapper.selectOne(Wrappers.<LandListed>query().lambda().eq(LandListed::getLandListedId, landUserKeep.getLandId()));
                if(ObjectUtil.isNotNull(landListed) && StringUtils.isNotBlank(landListed.getCity()) ){
                    if(landListed.getCity().equals(city)){
                        System.out.println(landListed.getCity());
                        i += 1;
                    }

                }
            }
        }
        return i > 20 ? Optional.of(20) : Optional.empty();
    }
}
