package com.air.applets.service.impl;

import com.air.applets.entity.PlanSpot;
import com.air.applets.service.PlanSpotService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.air.applets.entity.PlanLand;
import com.air.applets.mapper.PlanLandMapper;
import com.air.applets.service.PlanLandService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 
 *
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Service
@AllArgsConstructor
public class PlanLandServiceImpl extends ServiceImpl<PlanLandMapper, PlanLand> implements PlanLandService {

    private PlanSpotService planSpotService;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean removesPlanAndSpotByIds(List<Integer> ids) {
        this.removeByIds(ids);
        return planSpotService.remove(Wrappers.<PlanSpot>query().lambda().in(PlanSpot::getPlanId,ids));
    }
}
