package com.air.applets.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDate;

/**
 * 小程序地块列表
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "小程序地块列表")
public class LandVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "地块编号")
    private String landCode;

    @ApiModelProperty(value = "成交开始时间（格式yyyy-MM-dd）")
    private String startDate;

    @ApiModelProperty(value = "成交结束时间（格式yyyy-MM-dd）")
    private String endDate;

    @ApiModelProperty(value = "交易状态")
    private String transactionStatus;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "行政区")
    private String canton;

    @ApiModelProperty(value = "测算状态")
    private String measureStatus;

    @JsonIgnore
    @ApiModelProperty(value = "查询当前时间",hidden = true)
    private String nowDate;
}
