package com.air.applets.vo;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author peihao
 * @date 2021-11-25 15:47:04
 */
@Data
@ApiModel(value = "")
public class PlanLandVo extends Model<PlanLandVo> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long id;
    @ApiModelProperty(value = "计划名称")
    private String planName;
    @NotNull(message = "计划点位数量不能为空")
    @ApiModelProperty(value = "计划点位数量",required = true)
    private Integer planPointNum;
    @NotNull(message = "计划里程不能为空")
    @ApiModelProperty(value = "计划里程",required = true)
    private BigDecimal planMileage;
    @NotBlank(message = "计划耗时时间不能为空")
    @ApiModelProperty(value = "计划耗时时间",required = true)
    private String planTime;
    @ApiModelProperty(value="创建人")
    private String createUserId;


}
