package com.air.cityarea.controller;

import com.air.cityarea.entity.Xingzhengqu;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.cinderella.framework.common.core.util.R;
import com.cinderella.framework.common.data.mybatis.QueryPage;
import com.air.cityarea.service.XingzhengquService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;


/**
 * 
 *
 * @author peihao
 * @date 2021-10-15 10:52:40
 */
@RestController
@AllArgsConstructor
@RequestMapping("/xingzhengqu")
@Api(value = "xingzhengqu", tags = "管理")
public class XingzhengquController {

    private final  XingzhengquService xingzhengquService;

    /**
     * 分页查询
     * @param page 分页对象
     * @param xingzhengqu 
     * @return
     */
    @ApiOperation(value = "分页查询", notes = "分页查询")
    @GetMapping("/page")
    public R getXingzhengquPage(QueryPage page, Xingzhengqu xingzhengqu) {
        return R.ok(xingzhengquService.page(page.toPage(), Wrappers.query(xingzhengqu)));
    }


    /**
     * 通过id查询
     * @param gid id
     * @return R
     */
    @ApiOperation(value = "通过id查询", notes = "通过id查询")
    @GetMapping("/{gid}")
    public R getById(@PathVariable("gid") Integer gid) {
        return R.ok(xingzhengquService.getById(gid));
    }

    /**
     * 新增
     * @param xingzhengqu 
     * @return R
     */
    @ApiOperation(value = "新增", notes = "新增")
    @PostMapping
    public R save(@RequestBody Xingzhengqu xingzhengqu) {
        return R.ok(xingzhengquService.save(xingzhengqu));
    }

    /**
     * 修改
     * @param xingzhengqu 
     * @return R
     */
    @ApiOperation(value = "修改", notes = "修改")
    @PutMapping
    public R updateById(@RequestBody Xingzhengqu xingzhengqu) {
        return R.ok(xingzhengquService.updateById(xingzhengqu));
    }

    /**
     * 通过id删除
     * @param gid id
     * @return R
     */
    @ApiOperation(value = "通过id删除", notes = "通过id删除")
    @DeleteMapping("/{gid}")
    public R removeById(@PathVariable Integer gid) {
        return R.ok(xingzhengquService.removeById(gid));
    }
}
