package com.air.cityarea.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 城市区域经纬度
 *
 * @author peihao
 * @date 2021-09-06 19:11:29
 */
@Data
@ApiModel(value = "城市区域经纬度")
public class CityAreaLonLat extends Model<CityAreaLonLat> {

    private static final long serialVersionUID = 1L;

    @NotBlank(message = "区域类型不能为空")
    @ApiModelProperty(value = "区域类型（行政区，大组团，小组团，环线）")
    private String type;
    @NotBlank(message = "城市不能为空")
    @ApiModelProperty(value = "城市")
    private String city;
    @ApiModelProperty(value = "区域名称")
    private String name;
    @ApiModelProperty(value = "经纬度")
    private String pos;
    @ApiModelProperty(value = "线条宽度")
    private Integer lineWidth;
    @ApiModelProperty(value = "线条颜色")
    private String lineColor;
    @ApiModelProperty(value = "线条不透明")
    private Integer lineOpaqueness;
    @ApiModelProperty(value = "填充颜色")
    private String fillColor;
    @ApiModelProperty(value = "填充不透明")
    private Integer fillOpaqueness;
    @ApiModelProperty(value = "主键")
    private Integer id;
}
