package com.air.cityarea.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.context.annotation.Conditional;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 土地报告
 *
 * @author peihao
 * @date 2021-10-08 17:24:48
 */
@Data
@TableName("report")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "土地报告")
public class Report extends Model<Report> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="主键")
    private Long id;
    @ApiModelProperty(value="报告名称")
    private String reportName;
    @ApiModelProperty(value="报告类型")
    private String reportType;
    @ApiModelProperty(value="报告封面地址")
    private String reportCoverPath;
    @ApiModelProperty(value="文件类型")
    private String fileType;
    @ApiModelProperty(value="文件地址")
    private String filePath;
    @ApiModelProperty(value="状态(1000:保存（下架），1100：发布（推荐)")
    private String statusCd;
    @ApiModelProperty(value="状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value="创建人")
    private String createUserId;
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value="修改人")
    private String updateUserId;
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value="备注")
    private String remark;

    @TableField(exist = false)
    @ApiModelProperty(value="状态名称(1000:保存（下架），1100：发布（推荐)")
    private String statusName;
    @TableField(exist = false)
    @ApiModelProperty(value="报告类型名称")
    private String reportTypeName;
}
