package com.air.cityarea.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 轮播图片
 *
 * @author peihao
 * @date 2021-10-08 17:24:48
 */
@Data
@TableName("rotate_image")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "轮播图片")
public class RotateImage extends Model<RotateImage> {

    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="主键")
    private Long id;
    @NotNull(message = "分组不能为空")
    @ApiModelProperty(value="分组id")
    private Long groupId;
    @NotBlank(message = "图片名称不能为空")
    @ApiModelProperty(value="图片名称")
    private String imageName;
    @ApiModelProperty(value="图片地址")
    private String imagePath;
    @NotNull(message = "排序不能为空")
    @ApiModelProperty(value="排序")
    private Integer sort;
    @ApiModelProperty(value="状态")
    private String statusCd;
    @ApiModelProperty(value="状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value="创建人")
    private String createUserId;
    @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
    @ApiModelProperty(value="修改人")
    private String updateUserId;
    @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value="备注")
    private String remark;
    @TableField(exist = false)
    @ApiModelProperty(value="状态名称（显示用）")
    private String statusName;

    @TableField(exist = false)
    @ApiModelProperty(value="分组名称")
    private String groupName;
}
