package com.air.cityarea.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.air.cityarea.entity.CityArea;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 城市区域配置
 *
 * @author peihao
 * @date 2021-09-06 19:11:29
 */
public interface CityAreaMapper extends BaseMapper<CityArea> {

    /**
     * 查询城市
     * @author peihao
     * @date 2021/9/6
     * @return
     **/
    List<String> getCity();

    /**
     * 查询城市的行政区
     * @author peihao
     * @param city 城市
     * @date 2021/9/6
     * @return
     **/
    List<String> getArea(String city);

    /**
     * 查询行政区下的大组团
     * @author peihao
     * @param area 行政区
     * @param city 城市
     * @date 2021/9/6
     * @return
     **/
    List<String> getBigGroup(@Param("area") String area,@Param("city") String city);

    /**
     * 查询大组团下的小组团
     * @author peihao
     * @param bigGroup 大组团
     * @param city 城市
     * @param area 行政区
     * @date 2021/9/6
     * @return
     **/
    List<String> getSmallGroup(@Param("bigGroup") String bigGroup, @Param("area") String area, @Param("city") String city);

}
