package com.air.cityarea.service.impl;

import com.air.utils.ExcelUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.air.cityarea.entity.CityArea;
import com.air.cityarea.mapper.CityAreaMapper;
import com.air.cityarea.service.CityAreaService;
import com.cinderella.framework.common.core.exception.BusinessException;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 城市区域配置
 *
 * @author peihao
 * @date 2021-09-06 19:11:29
 */
@Service
public class CityAreaServiceImpl extends ServiceImpl<CityAreaMapper, CityArea> implements CityAreaService {


    @Override
    public List<String> getCity() {
        return baseMapper.getCity();
    }

    @Override
    public List<String> getArea(String city) {
        return baseMapper.getArea(city);
    }

    @Override
    public List<String> getBigGroup(String area,String city) {
        return baseMapper.getBigGroup(area,city);
    }

    @Override
    public List<String> getSmallGroup(String bigGroup,String area,String city) {
        return baseMapper.getSmallGroup(bigGroup,area,city);
    }

    @Override
    public boolean importCityAreaLonLatExcel(MultipartFile file) {
        List<CityArea> dataList;
        try {
            dataList = ExcelUtil.importExcel(file.getInputStream(), 0, 0, 0, CityArea.class, "config/cityArea-config.json");
        } catch (Exception e) {
            log.error("导入城市区域数据出错", e);
            throw new BusinessException("导入城市区域数据出错");
        }
        return this.saveBatch(dataList);
    }
}
