package com.air.common.controller;

import com.air.common.service.SysFileUploadService;
import com.air.common.vo.SysFileUploadVo;
import com.cinderella.framework.common.core.util.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * 文件记录
 *
 * @author zeb
 * @date 2019-05-16 14:49:03
 */
@RestController
@RequestMapping("/file")
@Api(value = "file",tags = "文件上传管理")
public class SysFileUploadController {
    @Autowired
    private SysFileUploadService sysFileUploadService;

    @Value("${minio.bucket}")
    private String bucketName;

    @PostMapping
    @SneakyThrows
    @ApiOperation("上传文件")
   // @ApiParam(value = "文件", required = true)
    public R<SysFileUploadVo> upload(@RequestParam("file") MultipartFile file) {
        //判断上传文件大小不超过10m
        if (file.getSize() > 1024 * 1024 * 100) {
            return R.failed("文件大小不能超过100m");
        }
        return sysFileUploadService.upload(file, bucketName);
    }


}
