package com.air.dictitem.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * @program: back-end
 * @description:
 * @author: cyz
 * @create: 2022-07-13 13:53
 **/
@Data
@TableName("sys_dict_item")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "字典详情表")
public class DictItem extends Model<DictItem> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="id")
    private int id;
    @ApiModelProperty(value="字典父ID")
    private int dictId;
    @ApiModelProperty(value="值")
    private String value;
    @ApiModelProperty(value="文本")
    private String label;
    @ApiModelProperty(value="类型")
    private String type;
    @ApiModelProperty(value="介绍")
    private String description;
    @ApiModelProperty(value="排序")
    private int sort;
    @ApiModelProperty(value="创建时间")
    private Date createTime;
    @ApiModelProperty(value="修改时间")
    private Date updateTime;
    @ApiModelProperty(value="备注")
    private String remarks;
    @ApiModelProperty(value="")
    private char delFlag;
    @ApiModelProperty(value="所属租户")
    private int tenantId;
}
