package com.air.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("land_transaction")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "")
public class LandTransaction extends Model<LandTransaction> {
    private static final long serialVersionUID = 1L;


    @TableId
    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "")
    private String num;

    @ApiModelProperty(value = "")
    private String landNum;

    @ApiModelProperty(value = "位置")
    private String landPosition;

    @ApiModelProperty(value = "")
    private String landUse;

    @ApiModelProperty(value = "")
    private String landAreaMi;

    @ApiModelProperty(value = "面积")
    private String landAreaMe;

    @ApiModelProperty(value = "建筑面积")
    private String buildArea;

    @ApiModelProperty(value = "")
    private String volumeRate;

    @ApiModelProperty(value = "土地面积")
    private String builDensity;

    @ApiModelProperty(value = "绿地率")
    private String greenRate;

    @ApiModelProperty(value = "楼高")
    private String limitHigh;

    @ApiModelProperty(value = "销售时间")
    private String salePeriod;

    @ApiModelProperty(value = "出售价")
    private String saleStartPrice;

    @ApiModelProperty(value = "起始价")
    private String startPrice;

    @ApiModelProperty(value = "利润")
    private String margin;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "公告日")
    private LocalDateTime announcementDate;

    @ApiModelProperty(value = "销售日期")
    private LocalDateTime saleDate;

    @ApiModelProperty(value = "有牌照土地")
    private String licensedArea;

    @ApiModelProperty(value = "路径")
    private String url;
}
