package com.air.enums;

import java.util.Arrays;
import java.util.Optional;

/**
 * 轮播图状态
 *
 * @author peihao
 * @date 2021-05-20
 **/
public enum RotateStatusEnum {

    ROTATE_1000("1000","发布"),
    ROTATE_1100("1100","禁用");


    private final String code;

    private final String name;

    RotateStatusEnum(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static String getName(String code){
        Optional<RotateStatusEnum> statusEnum = Arrays.stream(RotateStatusEnum.values()).filter(e -> e.getCode().equals(code)).findAny();
        if (statusEnum.isPresent()){
            return statusEnum.get().getName();
        }
         return null;
    }
}
