package com.air.enums;

/**
 * 土地挂牌数据状态
 *
 * @author peihao
 * @date 2021-05-20
 **/
public enum SysMessageStatusEnum {
    /**
     * 发布成功状态
     */
    SYS_MESSAGE_STATUS_1000("1000","发布成功"),
    /**
     * 新增状态
     */
    SYS_MESSAGE_STATUS_1100("1100","新增状态");

    private final String code;
    private final String name;

    SysMessageStatusEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }
    public String getCode(){
        return this.code;
    }
    public String getName(){
        return this.name;
    }

    public static String getNameByCode(String code){
        for(SysMessageStatusEnum typeEnum: SysMessageStatusEnum.values()){
            if(code.equals(typeEnum.getCode())){
                return typeEnum.getName();
            }
        }
        return  null;
    }
}
