package com.air.facilities.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @program: back-end
 * @description:
 * @author: cyz
 * @create: 2022-07-08 13:41
 **/
@Data
public class FacilitiesDTO {

    private Integer gid;
    @ApiModelProperty(value="名字")
    @NotNull(message = "地区名字不能为空")
    private String name;
    @ApiModelProperty(value="类型名称")
    private String typecn;
    @ApiModelProperty(value="备注")
    private String remark;
    @ApiModelProperty(value="经度")//经度值必须在（-180，180]范围内。正值位于本初子午线以东。
    @NotNull(message = "经度不能为空")
    private BigDecimal lon;
    @ApiModelProperty(value="纬度")//纬度值必须在[-90，90]范围内。正值位于赤道以北。
    @NotNull(message = "纬度不能为空")
    private BigDecimal lat;
    @ApiModelProperty(value="类型标识")
    private String type;
    @ApiModelProperty(value="坐标点")
    private String geom;
    @ApiModelProperty(value="计算坐标对象")
    private String miniGeom;

    @ApiModelProperty(value = "旧类型")
    private String oldType;

    @ApiModelProperty(value = "省")
    private String site;
    @ApiModelProperty(value = "市")
    private String city;
    @ApiModelProperty(value = "区、县")
    private String county;
    @ApiModelProperty(value = "标识")
    private String marking;

    @ApiModelProperty(value = "城市")
    private String urban;

}
