package com.air.facilities.mapper;

import com.air.facilities.entity.Facilities;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @program: back-end
 * @description:
 * @author: cyz
 * @create: 2022-07-07 15:41
 **/
@Repository   //告诉容器你是持久层的 @Repository是spring提供的注释，能够将该类注册成Bean
public interface FacilitiesMapper extends BaseMapper<Facilities> {

    /**
     * 查询全部周边信息
     * @param facilities
     * @return
     */
    List<Facilities> getAllFacilities(Page page ,@Param("facilities")Facilities facilities);

    /**
     * 查询全部周边信息
     * @return
     */
    List<Facilities> getAllFacilitiesRim(Page page);

    /**
     * 查询城市市周边
     * @return
     */
    List<Facilities> getAllFacilitiesRimShi(Page page);


    /**
     * 查询城市市
     * @return
     */
    List<Facilities> selectTypeList();

    /**
     * 删除数据
     * @param ids
     * @return
     */
    int delFacilities(String[] ids);

    /**
     * 添加
     * @param facilities
     * @return
     */
    int insertFacilities(Facilities facilities);

    /**
     * 添加List
     * @param facilities
     * @return
     */
    int insertFacilitiesList(List<Facilities> facilities);

    /**
     * 修改
     * @param facilities
     * @return
     */
    int updateFacilities(Facilities facilities);
}
