package com.air.feedback.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 意见反馈
 *
 * @author fnmdx
 * @date 2021-05-25 10:50:49
 */
@Data
@TableName("feedback")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "意见反馈")
public class Feedback extends Model<Feedback> {
private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value="意见反馈标识")
    private Long feedbackId;
        @ApiModelProperty(value="联系人")
    private String contact;
        @ApiModelProperty(value="联系方式")
    private String contactDetail;
        @ApiModelProperty(value="建议")
    private String suggestion;
        @ApiModelProperty(value="附件")
    private String attachment;
        @ApiModelProperty(value="状态")
    private String statusCd;
        @ApiModelProperty(value="状态时间")
    private LocalDateTime statusDate;
        @ApiModelProperty(value="创建人")
    private String createUserId;
        @ApiModelProperty(value="创建时间")
    private LocalDateTime createDate;
        @ApiModelProperty(value="修改人")
    private String updateUserId;
        @ApiModelProperty(value="修改时间")
    private LocalDateTime updateDate;
        @ApiModelProperty(value="备注")
    private String remark;
    }
