package com.air.feedback.service.impl;

import com.air.enums.CommonStatusEnum;
import com.air.feedback.entity.Feedback;
import com.air.feedback.mapper.FeedbackMapper;
import com.air.feedback.service.FeedbackService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 意见反馈
 *
 * @author fnmdx
 * @date 2021-05-25 10:50:49
 */
@Service
public class FeedbackServiceImpl extends ServiceImpl<FeedbackMapper, Feedback> implements FeedbackService {

    private final FeedbackMapper feedbackMapper;

    public FeedbackServiceImpl(FeedbackMapper feedbackMapper) {
        this.feedbackMapper = feedbackMapper;
    }

    @Override
    public Integer saveFeedBack(Feedback feedback) {
        return feedbackMapper.insert(feedback);
    }

    @Override
    public Page getFeedBackPage(Page page, Feedback feedback) {
        return feedbackMapper.selectPage(page, Wrappers.query(feedback));
    }

    @Override
    public Integer updateFeedBack(Feedback feedback) {
        return feedbackMapper.updateById(feedback);
    }

    @Override
    public Feedback getFeedBackDetail(Long feedbackId) {
        return feedbackMapper.selectById(feedbackId);
    }

    @Override
    public Integer
    handleFeedBack(Long feedbackId) {
        return feedbackMapper.update(null, Wrappers.<Feedback>lambdaUpdate().eq(Feedback::getFeedbackId, feedbackId).set(Feedback::getStatusCd, CommonStatusEnum.SYS_MESSAGE_STATUS_1100.getCode()));
    }
}
