package com.air.housing.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 楼栋信息
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("blocks")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "楼栋信息")
public class Blocks extends Model<Blocks> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "楼栋id")
    private Long blockId;

    @ApiModelProperty(value = "楼盘id")
    private Long housingEstateId;

    @ApiModelProperty(value = "业态id（关联当前楼栋对应的业态信息）")
    private Long formatId;

    @ApiModelProperty(value = "数据编号(315上的数据id，保存起来方便更新)")
    private String dataId;

    @ApiModelProperty(value = "预售许可证号")
    private String preSalePermitNo;

    @ApiModelProperty(value = "楼栋名称")
    private String blockName;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @TableField(exist = false)
    @ApiModelProperty(value = "物业类型")
    private String propertyType;

    @TableField(exist = false)
    @ApiModelProperty(value = "大业态")
    private String largeFormat;

    @TableField(exist = false)
    @ApiModelProperty(value = "小业态")
    private String format;
}
