package com.air.housing.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 房屋信息
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("houses")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "房屋信息")
public class Houses extends Model<Houses> {
    private static final long serialVersionUID = 1L;


    @TableId
    @ApiModelProperty(value = "房屋id")
    private Long houseId;

    @ApiModelProperty(value = "楼栋id")
    private Long blockId;

    @ApiModelProperty(value = "数据编号(315上的数据id，保存起来方便更新)")
    private String dataId;

    @ApiModelProperty(value = "名义层最大值")
    private Integer maxNominalLayer;

    @ApiModelProperty(value = "单元数")
    private String unit;

    @ApiModelProperty(value = "单元户数")
    private Integer unitNum;

    @ApiModelProperty(value = "房号")
    private String houseNo;

    @ApiModelProperty(value = "套内面积")
    private BigDecimal sleeveArea;

    @ApiModelProperty(value = "建筑面积")
    private BigDecimal coveredArea;

    @ApiModelProperty(value = "使用用途")
    private String houseUsage;

    @ApiModelProperty(value = "户型")
    private String houseType;

    @ApiModelProperty(value = "拟售单价（套内）")
    private BigDecimal sleevePrice;

    @ApiModelProperty(value = "拟售单价（建面）")
    private BigDecimal coveredPrice;

    @ApiModelProperty(value = "销售状态")
    private String saleStatus;

    @ApiModelProperty(value = "销售状态日期")
    private LocalDateTime saleDate;

    @ApiModelProperty(value = "认购状态")
    private String subscribeStatus;

    @ApiModelProperty(value = "认购状态日期")
    private LocalDateTime subscribeDate;

    @ApiModelProperty(value = "网签状态")
    private String netSignStatus;

    @ApiModelProperty(value = "网签状态日期")
    private LocalDateTime netSignDate;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;
}
