package com.air.housing.mapper;

import com.air.housing.dto.HousingEstatesQuery;
import com.air.housing.entity.HousingEstates;
import com.air.housing.dto.HousingEstatesListDto;
import com.air.housing.vo.HousingEstatesName;
import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 楼盘（小区）
 *
 * @author peihao
 * @date 2021-05-18 09:39:55
 */
public interface HousingEstatesMapper extends BaseMapper<HousingEstates> {
    /**
     * 分页查询名称
     * @param page
     * @param name
     * @return
     */
    IPage<HousingEstatesName> getHousingEstatesNamePage(IPage<HousingEstatesName> page, @Param("name") String name);

    /**
     * 分页查询
     * @param page
     * @param query
     * @return
     */
    @InterceptorIgnore
    IPage<HousingEstatesListDto> selectIPage(IPage<HousingEstatesListDto> page, @Param("query") HousingEstatesQuery query);

    /**
     * 查询楼盘名称
     *
     * @param name@return
     */
    @InterceptorIgnore
    List<HousingEstatesName> selectIName(@Param("name") String name);
}
