package com.air.housing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.air.housing.entity.Format;
import com.air.housing.mapper.FormatMapper;
import com.air.housing.service.FormatService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * 业态信息
 *
 * @author zeb
 * @date 2021-06-09 09:13:16
 */
@Service
public class FormatServiceImpl extends ServiceImpl<FormatMapper, Format> implements FormatService {

    @Autowired
    private FormatMapper formatMapper;

    @Override
    public int updateBy(Format format) {
        BigDecimal bigDecimal = new BigDecimal(0);
        if(format.getFormatSize().compareTo(bigDecimal) > 0){
            //有业态体量
            format.setUnpushedStock( format.getFormatSize().subtract(format.getSupplyArea()));//未推
            format.setBroadSenseStock(format.getNarrowSenseStock().add(format.getUnpushedStock()));//广义库存
        }

        return formatMapper.updateById(format);
    }
}
