package com.air.land.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 已挂牌地块
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "已挂牌地块")
public class ExportLandListedDto extends Model<ExportLandListedDto> {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "公告序号")
    private String annoId;

    @ApiModelProperty(value = "地块编号")
    private String landCode;

    @ApiModelProperty(value = "地块位置")
    private String landPosition;

    @ApiModelProperty(value = "土地用途")
    private String landUsage;

    @ApiModelProperty(value = "土地出让面积-平方")
    private String landTransferSquare;

    @ApiModelProperty(value = "土地出让面积-亩")
    private String landTransferMu;

    @ApiModelProperty(value = "总计容建筑面积")
    private String totalConsArea;

    @ApiModelProperty(value = "容积率")
    private String plotRatio;

    @ApiModelProperty(value = "建筑密度")
    private String buildingDensity;

    @ApiModelProperty(value = "绿地率")
    private String greenSpaceRatio;

    @ApiModelProperty(value = "限高")
    private String heighPermitted;

    @ApiModelProperty(value = "出让年限")
    private String remiseYears;

    @ApiModelProperty(value = "出让价款起始价（万元）")
    private String transferPrice;

    @ApiModelProperty(value = "起始楼面价")
    private String startingFloorPrice;

    @ApiModelProperty(value = "竞买保证金（万元）")
    private String bidMargin;

    @ApiModelProperty(value = "备注（业务字段）")
    private String bizRemark;

    @ApiModelProperty(value = "公告日期")
    private LocalDateTime annoDate;

    @ApiModelProperty(value = "拍卖日期")
    private LocalDateTime auctionDate;

    @ApiModelProperty(value = "持证准用面积")
    private String licensedArea;

    @ApiModelProperty(value = "商业面积")
    private String bizSpace;

    @ApiModelProperty(value = "商务面积")
    private String commerceSpace;

    @ApiModelProperty(value = "商业商务占比")
    private String bizToCommerce;

    @ApiModelProperty(value = "配建-计容")
    private String allocationCapacity;

    @ApiModelProperty(value = "配建-不计容")
    private String allocationNotCapacity;

    @ApiModelProperty(value = "地质灾害")
    private String geologicHazard;

    @ApiModelProperty(value = "人防还建（㎡)")
    private String civilAirDefence;

    @ApiModelProperty(value = "特殊规划")
    private String specialPlan;

    @ApiModelProperty(value = "装配要求")
    private String assemblyBuilding;

    @ApiModelProperty(value = "绿色要求")
    private String greenBuilding;

    @ApiModelProperty(value = "其他条件")
    private String otherConditions;

    @ApiModelProperty(value = "成品住宅比例")
    private String percentFinishedHousing;

    @ApiModelProperty(value = "竞买条件")
    private String biddingConditions;

    @ApiModelProperty(value = "勾地形式")
    private String hookForm;

    @ApiModelProperty(value = "一级治理方")
    private String firstGovernance;

    @ApiModelProperty(value = "勾地企业")
    private String landEnterprises;

    @ApiModelProperty(value = "付款节奏")
    private String paymentRhythm;

    @ApiModelProperty(value = "出让人")
    private String bargainor;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "行政区")
    private String canton;

    @ApiModelProperty(value = "特区")
    private String specialZone;

    @ApiModelProperty(value = "环线")
    private String loopWire;

    @ApiModelProperty(value = "大组团")
    private String bigGroup;

    @ApiModelProperty(value = "小组团")
    private String smallGroup;

    @ApiModelProperty(value = "奥维定位")
    private String ovePosition;

    @ApiModelProperty(value = "经纬度（百度BD09）")
    private String lonLatBd;

    @ApiModelProperty(value = "公告序号")
    private String annoId1;

    @ApiModelProperty(value = "地块位置")
    private String landPosition1;

    @ApiModelProperty(value = "出让方式")
    private String transferMode;

    @ApiModelProperty(value = "受让单位")
    private String assignee;

    @ApiModelProperty(value = "拿地企业-简称")
    private String landEnterpriseShort;

    @ApiModelProperty(value = "成交价")
    private String dealPrice;

    @ApiModelProperty(value = "溢价率")
    private String premiumRate;

    @ApiModelProperty(value = "商业自持比例(%)")
    private String commercialSelfRatio;

    @ApiModelProperty(value = "住宅自持比例(%)")
    private String homeSelfRatio;

    @ApiModelProperty(value = "无偿比例(%)")
    private String percentUnpaid;

    @ApiModelProperty(value = "人才公寓面积")
    private String talenApartmentArea;

    @ApiModelProperty(value = "参拍企业")
    private String participatingEnterprises;

    @ApiModelProperty(value = "项目状态")
    private String projectStatus;

    @ApiModelProperty(value = "楼盘名称")
    private String buildingName;

    @ApiModelProperty(value = "项目公司")
    private String projectCompany;

    @ApiModelProperty(value = "确权时间")
    private LocalDateTime confirmationTime;

    @ApiModelProperty(value = "操盘企业")
    private String tradingEnterprises;

    @ApiModelProperty(value = "合作方")
    private String partner;

    @ApiModelProperty(value = "经营企业")
    private String conductEnterprise;

    @ApiModelProperty(value = "项目首开时间")
    private LocalDateTime firstOpenTime;
}
