package com.air.land.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;


/**
 * 参拍记录表
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("auction_record")
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "参拍记录表")
public class AuctionRecord extends Model<AuctionRecord> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "主键")
    private Long auctionRecordId;

    @ApiModelProperty(value = "已挂牌地块标识")
    private String landListedId;

    @ApiModelProperty(value = "公告id")
    private String annoId;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "排名")
    private String ranking;

    @ApiModelProperty(value = "举牌企业")
    private String raiseEnterprise;

    @ApiModelProperty(value = "举牌价（万元）")
    private String raisePrice;

    @ApiModelProperty(value = "名义楼面价（元/㎡）")
    private String nominalFloorPrice;

    @ApiModelProperty(value = "无偿移交比例(%)")
    private String percentUnpaidTransfers;

    @ApiModelProperty(value = "实际楼面价（元/㎡）")
    private String actualFloorPrice;

    @ApiModelProperty(value = "溢价率")
    private String premiumRate;

    @ApiModelProperty(value = "最后轮次")
    private String finalRound;

    @ApiModelProperty(value = "竞得企业")
    private String winnerEnterprises;

    @ApiModelProperty(value = "状态")
    private String statusCd;

    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;

    @ApiModelProperty(value = "创建人")
    private String createUserId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "修改人")
    private String updateUserId;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @TableField(exist = false)
    @ApiModelProperty(value = "地块编号")
    private String landCode;

    @TableField(exist = false)
    @ApiModelProperty(value = "成交时间")
    private String annoDate;

    @TableField(exist = false)
    @ApiModelProperty(value = "参拍企业")
    private String participatingEnterprises;
}
