package com.air.land.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * 已挂牌地块文件信息
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@TableName("land_listed_attachment")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "已挂牌地块文件信息")
public class LandAttachment extends Model<LandAttachment> {
    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    @NotBlank(message = "已挂牌地块标识不能为空")
    @ApiModelProperty(value = "已挂牌地块标识", required = true)
    private String landListedId;

    @NotBlank(message = "文件类型不能为空")
    @ApiModelProperty(value = "文件类型", required = true)
    private String fileType;

    @NotBlank(message = "文件名称不能为空")
    @ApiModelProperty(value = "文件名称", required = true)
    private String fileName;

    @NotBlank(message = "文件路径不能为空")
    @ApiModelProperty(value = "文件路径", required = true)
    private String filePath;
}
