package com.air.land.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 已挂牌地块关联经营企业
 *
 * @author peihao
 * @date 2021-06-17 20:07:35
 */
@Data
@TableName("land_listed_conduct_enterprise")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "已挂牌地块关联经营企业")
public class LandListedConductEnterprise extends Model<LandListedConductEnterprise> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "经营企业标识")
    private Long conductEnterpriseId;

    @ApiModelProperty(value = "已挂牌地块标识")
    private String landListedId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "股比")
    private String shareRatio;

    @ApiModelProperty(value = "是否操盘")
    private Integer operation;
}
