package com.air.land.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 已挂牌地块关联建设规划
 *
 * @author peihao
 * @date 2021-06-17 20:07:27
 */
@Data
@TableName("land_listed_construction_plan")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "已挂牌地块关联建设规划")
public class LandListedConstructionPlan extends Model<LandListedConstructionPlan> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "建设规划标识")
    private Long constructionPlanId;

    @ApiModelProperty(value = "已挂牌地块标识")
    private String landListedId;

    @ApiModelProperty(value = "规划类型（配建计容、配建不计容、特殊规划）")
    private String planType;

    @ApiModelProperty(value = "建设类型")
    private String constructionType;

    @ApiModelProperty(value = "建设面积")
    private Double constructionArea;
}
