package com.air.land.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.air.land.entity.LandAttachment;
import com.air.land.mapper.LandAttachmentMapper;
import com.air.land.service.LandAttachmentService;
import com.air.utils.FileUtil;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cinderella.framework.common.core.util.R;
import lombok.AllArgsConstructor;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 已挂牌地块文件信息
 *
 * @author peihao
 * @date 2021-05-18 09:39:41
 */
@Service
@AllArgsConstructor
public class LandAttachmentServiceImpl extends ServiceImpl<LandAttachmentMapper, LandAttachment> implements LandAttachmentService {

    private final FileUtil fileUtil;

    @Override
    public R<List<LandAttachment>> getListAttachment(String landListedId, String fileType) {
        List<LandAttachment> list = this.list(Wrappers.<LandAttachment>query().lambda().eq(LandAttachment::getLandListedId, landListedId)
                .eq(StringUtils.isNotEmpty(fileType), LandAttachment::getFileType, fileType));
        if (CollectionUtil.isNotEmpty(list)) {
            list.stream().forEach(attachment -> attachment.setFilePath(fileUtil.getUrlByInnerPath(attachment.getFilePath())));
        }
        return R.ok(list, "查询成功");
    }
}
