package com.air.land.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * 参拍记录参数
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "参拍记录参数")
public class AuctionRecordVo {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Long auctionRecordId;

    @NotNull(message = "已挂牌地块标识不能为空")
    @ApiModelProperty(value = "已挂牌地块标识",required = true)
    private String landListedId;

    @ApiModelProperty(value = "公告id")
    private String annoId;

    @ApiModelProperty(value = "城市")
    private String city;

    @ApiModelProperty(value = "地块名称")
    private String landName;

    @ApiModelProperty(value = "地块位置")
    private String ranking;

    @NotBlank(message = "举牌企业不能为空")
    @ApiModelProperty(value = "举牌企业",required = true)
    private String raiseEnterprise;

    @ApiModelProperty(value = "举牌价（万元）")
    private String raisePrice;

    @ApiModelProperty(value = "名义楼面价（元/㎡）")
    private String nominalFloorPrice;

    @ApiModelProperty(value = "无偿移交比例(%)")
    private String percentUnpaidTransfers;

    @ApiModelProperty(value = "实际楼面价（元/㎡）")
    private String actualFloorPrice;

    @ApiModelProperty(value = "溢价率")
    private String premiumRate;

    @ApiModelProperty(value = "最后轮次")
    private String finalRound;

    @ApiModelProperty(value = "竞得企业")
    private String winnerEnterprises;

    @ApiModelProperty(value = "排序")
    private Integer sort;

}
