package com.air.land.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 已挂牌地块经纬度
 *
 * @author peihao
 * @date 2021/5/18
 **/
@Data
@ApiModel(value = "已挂牌地块经纬度")
public class LandListedLonLatVo {
    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "已挂牌地块经纬度主键", required = true)
    private Long latId;

    @NotNull(message = "已挂牌标识不能为空")
    @ApiModelProperty(value = "已挂牌标识", required = true)
    private String landListedId;

    @NotBlank(message = "公告序号不能为空")
    @ApiModelProperty(value = "公告序号", required = true)
    private String annoId;

    @ApiModelProperty(value = "地块编号", required = true)
    private String landCode;

    @ApiModelProperty(value = "地块经纬度(gcj02)")
    private String landLonLat;

    @ApiModelProperty(value = "线条宽度")
    private String lineWidth;

    @ApiModelProperty(value = "线条颜色")
    private String lineColor;

    @ApiModelProperty(value = "线条不透明度")
    private String lineOpaqueness;

    @ApiModelProperty(value = "填充颜色")
    private String fillColor;

    @ApiModelProperty(value = "填充不透明度")
    private String fillOpaqueness;
}
