package com.air.origin.entity;

import com.baomidou.mybatisplus.annotation.SqlCondition;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 楼栋信息
 *
 * @author zeb
 * @date 2021-06-08 11:35:48
 */
@Data
@TableName("blocks_origin")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "楼栋信息")
public class BlocksOrigin extends Model<BlocksOrigin> {
    private static final long serialVersionUID = 1L;

    @TableId
    @ApiModelProperty(value = "楼栋数据id")
    private Long blockId;
    @ApiModelProperty(value = "楼盘id")
    private String itemId;
    @ApiModelProperty(value = "公告id")
    private Long annoId;
    @ApiModelProperty(value = "315楼盘名称（爬虫获取的）")
    @TableField(condition = SqlCondition.LIKE)
    private String netName;
    @ApiModelProperty(value = "楼盘名称")
    @TableField(condition = SqlCondition.LIKE)
    private String name;
    @ApiModelProperty(value = "开发商")
    @TableField(condition = SqlCondition.LIKE)
    private String developer;
    @ApiModelProperty(value = "位置")
    private String position;
    @ApiModelProperty(value = "预售许可证号")
    @TableField(condition = SqlCondition.LIKE)
    private String preSaleLicenseNo;
    @ApiModelProperty(value = "楼栋名称")
    @TableField(condition = SqlCondition.LIKE)
    private String buildingNo;
    @ApiModelProperty(value = "状态")
    private String statusCd;
    @ApiModelProperty(value = "状态时间")
    private LocalDateTime statusDate;
    @ApiModelProperty(value = "创建人")
    private String createUserId;
    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @TableField(condition = "create_date like concat(%s, '%%')")
    private String createDate;
    @ApiModelProperty(value = "修改人")
    private String updateUserId;
    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateDate;
    @ApiModelProperty(value = "备注")
    private String remark;
    @ApiModelProperty(value = "数据id")
    private String dataId;
}
