package com.air.sysMessage.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.air.enums.SysMessageStatusEnum;
import com.air.msgUserRel.entity.MsgUserRel;
import com.air.msgUserRel.mapper.MsgUserRelMapper;
import com.air.sysMessage.entity.SysMessage;
import com.air.sysMessage.mapper.SysMessageMapper;
import com.air.sysMessage.service.SysMessageService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cinderella.framework.common.security.util.SecurityUtils;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统消息
 *
 * @author fnmdx
 * @date 2021-05-25 10:52:38
 */
@Service
public class SysMessageServiceImpl extends ServiceImpl<SysMessageMapper, SysMessage> implements SysMessageService {

    private final SysMessageMapper sysMessageMapper;

    private final MsgUserRelMapper msgUserRelMapper;

    public SysMessageServiceImpl(SysMessageMapper sysMessageMapper, MsgUserRelMapper msgUserRelMapper) {
        this.sysMessageMapper = sysMessageMapper;
        this.msgUserRelMapper = msgUserRelMapper;
    }

    @Override
    public Integer saveSysMessage(SysMessage sysMessage) {
        sysMessage.setStatusCd(SysMessageStatusEnum.SYS_MESSAGE_STATUS_1100.getCode());
        return sysMessageMapper.insert(sysMessage);
    }

    @Override
    public Integer updateSysMessage(SysMessage sysMessage) {
        return sysMessageMapper.updateById(sysMessage);
    }


    @Override
    public Integer deleteSysMessage(Long messageId) {
        return sysMessageMapper.deleteById(messageId);
    }

    @Override
    public SysMessage getSysMessageDetail(Long messageId) {
        return sysMessageMapper.selectById(messageId);
    }

    @Override
    public Integer publishSysMessage(Long messageId) {
        return sysMessageMapper.update(null,Wrappers.<SysMessage>lambdaUpdate().eq(SysMessage::getMessageId,messageId).set(SysMessage::getStatusCd,SysMessageStatusEnum.SYS_MESSAGE_STATUS_1000.getCode()));
    }
}
